#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "dataIO.h"
#include "grayScaleConverter.h"


class testApp : public ofSimpleApp{
	
	public:
		
		testApp();
		void setup();
		void update();
		void draw();
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		dataIO * IO;
		
		int mov_w, mov_h;
				
		unsigned char 			* grayPixels;
		unsigned char 			* glovePixels;
		ofTexture				texGlove;
		
		grayScaleConverter 		* GC;
		
		ofVideoPlayer 			billyjean;
		
		float					movTime;
		float					movDuration;
		int						movFrame;
		
		int 					threshold;
		int 					fade_counter;
		
		//image capture stuff
		int 					snapCounter;
		char 					snapString[255];
		ofImage 				img;
		ofTrueTypeFont			cooper;
		bool 					bSnapshot;		
		float 					phase;
};

#endif	
